Create automation
curl --request POST \
--url https://boardy.worksong.ai/v1/boards/{boardId}/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trigger": {
"type": "<string>",
"columnId": "<string>",
"schedule": "<string>",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"conditions": [
{
"columnId": "<string>",
"operator": "<string>",
"value": "<string>"
}
],
"actions": [
{
"type": "<string>",
"config": "<string>"
}
],
"actorMemberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true
}
'import requests
url = "https://boardy.worksong.ai/v1/boards/{boardId}/automations"
payload = {
"trigger": {
"type": "<string>",
"columnId": "<string>",
"schedule": "<string>",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"conditions": [
{
"columnId": "<string>",
"operator": "<string>",
"value": "<string>"
}
],
"actions": [
{
"type": "<string>",
"config": "<string>"
}
],
"actorMemberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
trigger: {
type: '<string>',
columnId: '<string>',
schedule: '<string>',
memberId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
conditions: [{columnId: '<string>', operator: '<string>', value: '<string>'}],
actions: [{type: '<string>', config: '<string>'}],
actorMemberId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
enabled: true
})
};
fetch('https://boardy.worksong.ai/v1/boards/{boardId}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://boardy.worksong.ai/v1/boards/{boardId}/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'trigger' => [
'type' => '<string>',
'columnId' => '<string>',
'schedule' => '<string>',
'memberId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'conditions' => [
[
'columnId' => '<string>',
'operator' => '<string>',
'value' => '<string>'
]
],
'actions' => [
[
'type' => '<string>',
'config' => '<string>'
]
],
'actorMemberId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://boardy.worksong.ai/v1/boards/{boardId}/automations"
payload := strings.NewReader("{\n \"trigger\": {\n \"type\": \"<string>\",\n \"columnId\": \"<string>\",\n \"schedule\": \"<string>\",\n \"memberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"conditions\": [\n {\n \"columnId\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"type\": \"<string>\",\n \"config\": \"<string>\"\n }\n ],\n \"actorMemberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"enabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://boardy.worksong.ai/v1/boards/{boardId}/automations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"trigger\": {\n \"type\": \"<string>\",\n \"columnId\": \"<string>\",\n \"schedule\": \"<string>\",\n \"memberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"conditions\": [\n {\n \"columnId\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"type\": \"<string>\",\n \"config\": \"<string>\"\n }\n ],\n \"actorMemberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://boardy.worksong.ai/v1/boards/{boardId}/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"trigger\": {\n \"type\": \"<string>\",\n \"columnId\": \"<string>\",\n \"schedule\": \"<string>\",\n \"memberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"conditions\": [\n {\n \"columnId\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"type\": \"<string>\",\n \"config\": \"<string>\"\n }\n ],\n \"actorMemberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_bodyBoards
Create automation
POST
/
v1
/
boards
/
{boardId}
/
automations
Create automation
curl --request POST \
--url https://boardy.worksong.ai/v1/boards/{boardId}/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trigger": {
"type": "<string>",
"columnId": "<string>",
"schedule": "<string>",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"conditions": [
{
"columnId": "<string>",
"operator": "<string>",
"value": "<string>"
}
],
"actions": [
{
"type": "<string>",
"config": "<string>"
}
],
"actorMemberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true
}
'import requests
url = "https://boardy.worksong.ai/v1/boards/{boardId}/automations"
payload = {
"trigger": {
"type": "<string>",
"columnId": "<string>",
"schedule": "<string>",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"conditions": [
{
"columnId": "<string>",
"operator": "<string>",
"value": "<string>"
}
],
"actions": [
{
"type": "<string>",
"config": "<string>"
}
],
"actorMemberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
trigger: {
type: '<string>',
columnId: '<string>',
schedule: '<string>',
memberId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
conditions: [{columnId: '<string>', operator: '<string>', value: '<string>'}],
actions: [{type: '<string>', config: '<string>'}],
actorMemberId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
enabled: true
})
};
fetch('https://boardy.worksong.ai/v1/boards/{boardId}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://boardy.worksong.ai/v1/boards/{boardId}/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'trigger' => [
'type' => '<string>',
'columnId' => '<string>',
'schedule' => '<string>',
'memberId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'conditions' => [
[
'columnId' => '<string>',
'operator' => '<string>',
'value' => '<string>'
]
],
'actions' => [
[
'type' => '<string>',
'config' => '<string>'
]
],
'actorMemberId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://boardy.worksong.ai/v1/boards/{boardId}/automations"
payload := strings.NewReader("{\n \"trigger\": {\n \"type\": \"<string>\",\n \"columnId\": \"<string>\",\n \"schedule\": \"<string>\",\n \"memberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"conditions\": [\n {\n \"columnId\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"type\": \"<string>\",\n \"config\": \"<string>\"\n }\n ],\n \"actorMemberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"enabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://boardy.worksong.ai/v1/boards/{boardId}/automations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"trigger\": {\n \"type\": \"<string>\",\n \"columnId\": \"<string>\",\n \"schedule\": \"<string>\",\n \"memberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"conditions\": [\n {\n \"columnId\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"type\": \"<string>\",\n \"config\": \"<string>\"\n }\n ],\n \"actorMemberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://boardy.worksong.ai/v1/boards/{boardId}/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"trigger\": {\n \"type\": \"<string>\",\n \"columnId\": \"<string>\",\n \"schedule\": \"<string>\",\n \"memberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"conditions\": [\n {\n \"columnId\": \"<string>\",\n \"operator\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"type\": \"<string>\",\n \"config\": \"<string>\"\n }\n ],\n \"actorMemberId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
clerkSessionapiToken
Clerk session JWT (deployments with Clerk auth) — validated per request (issuer + signature + lifetime + authorized-party). The internal Boardy tenant/member are resolved from the token's ACTIVE Clerk organization (org_id) → the Boardy tenant it maps to → this user's member in that tenant (#356). A token with no active organization is rejected; production never trusts spoofable X-Tenant-Id/X-Member-Id headers. The same normalized context backs the SPA, this OpenAPI surface, and MCP.
Headers
AD-5 idempotency: a repeated mutation with the same key replays the prior result (no double-apply).
Path Parameters
Body
application/json
Response
200
OK